Calypso BTS (C140) and Osmo BTS

Вадим Яницкий axilirator at gmail.com
Tue Feb 23 11:10:57 UTC 2016


> Then I can't use *osmo-bts.cfg* in this form

This is due to the recent OsmoBTS updates. I'll fix this tutorial.
Try to init osmo-bts.cfg using telnet. To do that run osmo-bts-trx and
telnet to localhost:4241.
Then enter both commands: 'en' and then 'write file'. After that edit the
osmo-bts.cfg depending on your requirements.

С наилучшими пожеланиями,
Яницкий Вадим.

2016-02-23 15:07 GMT+06:00 Mirko Kovacevic <northmirko at gmail.com>:

> Hi, Вадим, Tomi thank you for your answers.
>
> I suspected toolchain from early beginning because two years ago I managed
> to make things work.
> I primarily followed procedure from  this link
> http://bb.osmocom.org/trac/wiki/Tutorials/CalypsoBTS.
>
> When I do steps with OsmoBTS:
>
> *git clone git://git.osmocom.org/osmo-bts.git
> <http://git.osmocom.org/osmo-bts.git> *
>
> *cd osmo-bts
> autoreconf -i
> ./configure --enable-trx
> make
> sudo make install*
>
> Then I can't use *osmo-bts.cfg* in this form:
>
> *bts 0
>  band DCS1800
>  ipa unit-id 1801 0
>  oml remote-ip 127.0.0.1
>  rtp jitter-buffer 0
>  paging queue-size 200
>  paging lifetime 0
>  fn-advance 30
>  ms-power-loop -60
>  timing-advance-loop
>  settsc
>  setbsic
>  trx 0
>   rxgain 0
>   power 0
>   slotmask 1 0 0 0 0 0 0 0*
>
> specified from mentioned URL.
>
> Also new OsmoBTS binary is not called *osmobts-trx, *but *osmo-bts-trx*
> and expect to use new kind of *osmo-bts.cfg* format.
>
>
> *Maybe I should checkout some other branch from *
>
>
> *git clone git://git.osmocom.org/osmo-bts.git
> <http://git.osmocom.org/osmo-bts.git>  ?*
>
>
> *Поздрав,Мирко К.*
>
>
>
>
>
> On Tue, Feb 23, 2016 at 8:32 AM, Вадим Яницкий <axilirator at gmail.com>
> wrote:
>
>> Hi!
>>
>>
>>> Can we still use osmocomBB phones (C140,C139..) with Osmo-BTS project?
>>
>>
>> Yes.
>>
>> I use transceiver  program from *jolly/testing* branch and
>>> firmware in compal_86 ( trx.highram.bin ) from  *sylvian/testing* branch,
>>> all from osmocomBB.
>>>
>>>
>> Stop doing this mix. The firmware from one branch you use incompatible
>> with host software form another. Use one branch only!
>> It looks like you have a new toolchain "gnu-arm-build.3.sh". The
>> firmware images from this branches works better if it's compiled with older
>> toolchain version.
>> Try to use
>> http://bb.osmocom.org/trac/attachment/wiki/GnuArmToolchain/gnu-arm-build.2.sh
>> or https://github.com/axilirator/gnu-arm-installer.
>>
>> I know that Calypso BTS support only one timeslot.
>>>
>>>
>> Using two phones you will be able to serve two timeslots.
>>
>> Follow this guide I recently wrote:
>> http://bb.osmocom.org/trac/wiki/Tutorials/CalypsoBTS
>> http://openbsc.osmocom.org/trac/wiki/SDR_OsmoTRX_network_from_scratch is
>> outdated.
>>
>> С наилучшими пожеланиями,
>> Яницкий Вадим.
>>
>
>
>
> --
>
> *Puno pozdrava,Mirko Kovacevic*
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/baseband-devel/attachments/20160223/671ee8cc/attachment.html>


More information about the baseband-devel mailing list